/*********************************************************************

  ui_font.h

  日本語文字列を処理する補助マクロ及び関数を提供します。

*********************************************************************/

#ifndef UI_FONT_H
#define UI_FONT_H

#ifdef MAME32JP
#define iszen1(c)  (((c) >= 0x81 && (c) <= 0x9f) | ((c) >= 0xe0 && (c) <= 0xfc))
#define iszen2(c)  ((c) >= 0x40 && (c) <= 0xfc && (c) != 0x7f)
#endif

int uifont_buildfont(void);
void uifont_freefont(void);
int uifont_decodechar(unsigned char *s, unsigned short *code);
int uifont_drawfont(struct mame_bitmap *bitmap, const char *s,
                    int sx, int sy, int color);
int uifont_drawfont_back(struct mame_bitmap *bitmap, const char *s, int sx,
                    int sy, int color);
#endif
